<div class="row justify-content-center align-items-center">
    <div class="row">
        <form name="SearchFrom" ng-submit="startSearch()">
            <div class="form-row">
                <div class="form-group col-sm-6">
                    <label>Title</label>
                    <input type="text" class="form-control" name="title" ng-model="title" required>
                </div>

                <div class="form-group col-sm-2">
                    <label>Type</label>
                    <select class="custom-select mr-sm-2" name="type" ng-model="type">
                        <option selected>Movie</option>
                        <option value="series">Series</option>
                        <option value="episode">Episode</option>
                    </select>
                </div>

                <div class="form-group col-sm-2">
                    <label>Year</label>
                    <input type="text" class="form-control" name="year" ng-model="year">
                </div>

                <div class="form-group col-sm-2">
                    <label style="opacity:0;">Submit</label>
                    <input type="submit" style="vertical-align: middle" class="form-control" value="Search">
                </div>
            </div>

        </form>
    </div>
</div>
<div class="row justify-content-center align-items-center" ng-show="error">
    <h5 style="color:darkred">{{error}}</h5>
</div>
<div class="row justify-content-center align-items-center" ng-show="movies">
    <h6>Page {{pageNum}} of {{Math.floor(totalResults/10)}} (total results:{{totalResults}})</h6>
</div>
<div class="row justify-content-center align-items-center" ng-show="movies">
    <table class="table col-sm-8">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Type</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="movie in movies.Search" ng-click="movieDetails(movie.imdbID)">
                <th scope="row">{{$index+1+10*(pageNum-1)}}</th>
                <td>{{movie.Title}}</td>
                <td>{{movie.Year}}</td>
                <td>{{movie.Type}}</td>
            </tr>
        </tbody>
    </table>
</div>

<div class="row justify-content-center align-items-center" ng-show="movies">
    <nav aria-label="Page navigation example">
        <ul class="pagination">
            <li class="page-item" ng-click="previousPage()"><a class="page-link">Previous</a></li>
            <li class="page-item" ng-click="nextPage()"><a class="page-link">Next</a></li>
        </ul>
    </nav>
</div>